org.jfree.report.modules.gui.swing.printing

## Class PrinterUtility

- java.lang.Object
- - org.jfree.report.modules.gui.swing.printing.PrinterUtility

-     public class PrinterUtility
      extends java.lang.Object

  Creation-Date: 03.12.2006, 15:01:24
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NUMBER_COPIES_KEY`
    `static java.lang.String` | `PRINTER_JOB_NAME_KEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getNumberOfCopies(org.pentaho.reporting.libraries.base.config.Configuration configuration)`
    `static boolean` | `print(ReportJob report)`
    `static void` | `printDirectly(ReportJob report)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRINTER_JOB_NAME_KEY

          public static final java.lang.String PRINTER_JOB_NAME_KEY

      See Also:
        Constant Field Values

    - #### NUMBER_COPIES_KEY

          public static final java.lang.String NUMBER_COPIES_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### printDirectly

          public static void printDirectly(ReportJob report)
                                    throws java.awt.print.PrinterException

      Throws:
        `java.awt.print.PrinterException`

    - #### print

          public static boolean print(ReportJob report)
                               throws java.awt.print.PrinterException

      Throws:
        `java.awt.print.PrinterException`

    - #### getNumberOfCopies

          public static int getNumberOfCopies(org.pentaho.reporting.libraries.base.config.Configuration configuration)